HttpAuthenticator (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.auth
Class HttpAuthenticator

    java.lang.Object
      org.apache.http.impl.auth.HttpAuthenticator

Direct Known Subclasses:
  HttpAuthenticator

    public class HttpAuthenticator

extends Object

Since:
  4.3

Constructor Summary
`HttpAuthenticator()`
`HttpAuthenticator(org.apache.commons.logging.Log log)`

Method Summary
`void` | `generateAuthResponse(org.apache.http.HttpRequest request, AuthState authState, org.apache.http.protocol.HttpContext context)`
`boolean` | `handleAuthChallenge(org.apache.http.HttpHost host, org.apache.http.HttpResponse response, AuthenticationStrategy authStrategy, AuthState authState, org.apache.http.protocol.HttpContext context)`
`boolean` | `isAuthenticationRequested(org.apache.http.HttpHost host, org.apache.http.HttpResponse response, AuthenticationStrategy authStrategy, AuthState authState, org.apache.http.protocol.HttpContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpAuthenticator

    public HttpAuthenticator(org.apache.commons.logging.Log log)

### HttpAuthenticator

    public HttpAuthenticator()

Method Detail

### isAuthenticationRequested

    public boolean isAuthenticationRequested(org.apache.http.HttpHost host,
                                             org.apache.http.HttpResponse response,
                                             AuthenticationStrategy authStrategy,
                                             AuthState authState,
                                             org.apache.http.protocol.HttpContext context)

### handleAuthChallenge

    public boolean handleAuthChallenge(org.apache.http.HttpHost host,
                                       org.apache.http.HttpResponse response,
                                       AuthenticationStrategy authStrategy,
                                       AuthState authState,
                                       org.apache.http.protocol.HttpContext context)

### generateAuthResponse

    public void generateAuthResponse(org.apache.http.HttpRequest request,
                                     AuthState authState,
                                     org.apache.http.protocol.HttpContext context)
                              throws org.apache.http.HttpException,
                                     IOException

  Throws:
    `org.apache.http.HttpException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.